import { File } from './parser';
interface SpawnFlag {
    title: string;
    value: string;
    enabled: boolean;
}
interface Connection {
    name: string;
    type: string;
    description?: string;
}
interface Parameters {
    [key: string]: string[];
}
interface Declaration {
    type: string;
    description?: string;
    parameters?: Parameters;
    properties?: Property[];
    inputs?: Connection[];
    outputs?: Connection[];
    flags?: SpawnFlag[];
}
interface StringMap {
    [key: string]: string;
}
interface Property {
    type: string;
    name: string;
    title?: string;
    description?: string;
    deflt?: string;
    choices?: StringMap;
}
export interface Declarations {
    [name: string]: Declaration;
}
export default function transformer(ast: File): Declarations;
export {};
